View Issue Details

IDProjectCategoryView StatusLast Update
07048Development [All Projects] Expression Managerpublic2015-08-21 15:51
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00 
Target Version2.06Fixed in Version2.06 
Summary07048: No need to show error at respondant
Description

When you make error on EM , for example {QCODE.shown} with a inexistant QCODE, then there error when you do survey.

It great for admin, but it's bad for respondant, they don't need to see error.

Steps To Reproduce

Import lss survey file, activate, deconnect from admin and try

Additional Information

The {QGROUP2.shown} are set after, why not we can't use EM from next page.

It can be great to have this functionnality: even with {QGROUP2.NAOK} showing error, even after move previous

TagsNo tags attached.

Relationships

related to 08824 new Feature requests Never show error with {TOKEN:} 
parent of 07703 closedmfaber Feature requests When an exclusive option in a multiple choice question is malformatted, the answers arenĀ“t saved at all. 
related to 08829 closedmfaber Bug reports Questions with incorrect relevance equations are not shown 

Activities

DenisChenu

DenisChenu

2012-12-07 13:43

developer  

limesurvey_survey_EMshowerror.lss (12,758 bytes)
DenisChenu

DenisChenu

2014-12-22 16:41

developer   ~31335

Public EM error are shown only if user have surveycontent rigth update
Admin EM error are stylised only if user have surveycontent rigth update

We already fix the JS if there are error, review for Condition too ? (false or true ? Actually : true ?)

Related Changesets

LimeSurvey: 2.06 c8a9327b

2014-12-22 15:38:50

DenisChenu

Details Diff
New feature 07048: Don't show EM error to respondant
Dev: Public EM error are shown only if user have surveycontent rigth update
Dev: Admin EM error are stylised only if user have surveycontent rigth update
Affected Issues
07048
mod - application/helpers/expressions/em_core_helper.php Diff File

Issue History

Date Modified Username Field Change
2012-12-07 13:43 DenisChenu New Issue
2012-12-07 13:43 DenisChenu File Added: limesurvey_survey_EMshowerror.lss
2012-12-07 13:45 DenisChenu Additional Information Updated View Revisions
2013-03-25 14:08 DenisChenu Relationship added parent of 07703
2014-03-08 12:17 DenisChenu Relationship added related to 08829
2014-03-08 12:19 DenisChenu Relationship added related to 08824
2014-03-08 18:36 DenisChenu Assigned To => DenisChenu
2014-03-08 18:36 DenisChenu Status new => assigned
2014-03-08 18:36 DenisChenu Target Version => 2.06
2014-12-22 16:39 DenisChenu Changeset attached => LimeSurvey 2.06 c8a9327b
2014-12-22 16:41 DenisChenu Note Added: 31335
2014-12-22 16:41 DenisChenu Status assigned => resolved
2014-12-22 16:41 DenisChenu Fixed in Version => 2.06
2014-12-22 16:41 DenisChenu Resolution open => fixed
2015-08-21 15:51 c_schmitz Status resolved => closed